{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    rust-overlay = {
      url = "github:oxalica/rust-overlay";
      inputs = {
        nixpkgs.follows = "nixpkgs";
      };
    };
  };
  outputs = { self, nixpkgs, flake-utils, rust-overlay }:
    flake-utils.lib.eachDefaultSystem
      (system:
        let
          pname = "vikunja-gatherer";
          version = "0.1.0";
          src = ./.;
          overlays = [ (import rust-overlay) ];
          pkgs = import nixpkgs {
            inherit system overlays;
          };
          rustToolchain = pkgs.pkgsBuildHost.rust-bin.fromRustupToolchainFile ./rust-toolchain.toml;
        in
        with pkgs;
        {
          devShells.default = mkShell {
            nativeBuildInputs = [ rustToolchain pkg-config ];

            buildInputs = [ openssl ];
          };

          packages.default = rustPlatform.buildRustPackage {
            inherit src pname version;

            cargoLock = {
              lockFile = ./Cargo.lock;
            };

            nativeBuildInputs = [ rustToolchain pkg-config ];

            buildInputs = [ openssl ];
          };
        }
      );
}
